IncidentsEdit a party

Edit a party

Needs: Incidents, Read-write

Edits a witness or involved party. Send only what changes.

curl -X PATCH "https://app.imploy.com.au/api/integrations/v1/incident-parties/123" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_TOKEN" \
  -d '{
  "status": "Contacted"
}'
{
  "updated": 8,
  "kind": "incident"
}
PATCH
/incident-parties/{id}
PATCH
Base URLstring

Target server for requests. Edit to use your own host.

Bearer Token
Bearer Tokenstring
Required

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.
path
idinteger
Required

The party id from the incident's parties.

Content-Typestring
Required

The media type of the request body

Options: application/json
rolestring

staff, client, family or other.

staff_idinteger

For role staff.

client_idinteger

For role client.

namestring

For roles family and other.

phonestring

For roles family and other.

emailstring

Optional email.

typestring

For witnesses: Primary Witness or Witness (default Witness). For other involved parties: how they are involved.

statusstring

Contacted, Pending or Not Contacted.

notesstring

Notes about the person.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
Authorizationstring
Required

Bearer token. An organisation access token that starts with imp_at_. Send it as Authorization: Bearer imp_at_XXXX.

Path Parameters

idinteger
Required

The party id from the incident's parties.

Body

application/json
rolestring

staff, client, family or other.

staff_idinteger

For role staff.

client_idinteger

For role client.

namestring

For roles family and other.

phonestring

For roles family and other.

emailstring

Optional email.

typestring

For witnesses: Primary Witness or Witness (default Witness). For other involved parties: how they are involved.

statusstring

Contacted, Pending or Not Contacted.

notesstring

Notes about the person.

Responses

OK